Name:           python-xoa-driver
Version:        2.9.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Xena OpenAutomation (XOA) Python API is a driver providing user-friendly communication interfaces to Xena's physical and virtual Traffic Generation and Analysis (TGA) testers. It provides a rich collection of programming interfaces that can be used to either write test scripts or develop applications.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/xenanetworks/open-automation-python-api
Source:         %{pypi_source xoa_driver}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'xoa-driver' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-xoa-driver
Summary:        %{summary}

%description -n python3-xoa-driver %_description


%prep
%autosetup -p1 -n xoa_driver-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-xoa-driver -f %{pyproject_files}


%changelog
%autochangelog